$(document).ready(function(){
	
	var camera = $('#camera'),
		photos = $('#photos'),
		screen =  $('#screen');


	/*----------------------------------
		  
	----------------------------------*/


	webcam.set_swf_url('/components/photokiosk/webcam/webcam.swf');
	webcam.set_api_url('/photokiosk/upload.html');	//  
	webcam.set_quality(80);				//   JPEG
	webcam.set_shutter_sound(true, '/components/photokiosk/webcam/shutter.mp3');

	//   HTML       :	
	screen.html(
		webcam.get_html(screen.width(), screen.height())
	);


	/*------------------------------
		 
	-------------------------------*/


	var shootEnabled = false;
		
	$('#shootButton').click(function(){
		
		if(!shootEnabled){
			return false;
		}
		
		webcam.freeze();
		togglePane();
		return false;
	});
	
	$('#cancelButton').click(function(){
		webcam.reset();
		togglePane();
		return false;
	});
	
	$('#uploadButton').click(function(){
		webcam.upload();
		webcam.reset();
		togglePane();
		return false;
	});

	camera.find('.settings').click(function(){
		if(!shootEnabled){
			return false;
		}
		
		webcam.configure('camera');
	});



	/*---------------------- 
		 
	----------------------*/
	
	
	webcam.set_hook('onLoad',function(){
		//  FLASH ,   
		//   ""  ""
		shootEnabled = true;
	});
	
	webcam.set_hook('onComplete', function(msg){
		
		//    upload.php
		//        JSON
		
		
		msg = $.parseJSON(msg);
		
		if(msg.error){
			alert(msg.message);
		}
		else {
		alert("  !     .");
		}
		
	});
	
	webcam.set_hook('onError',function(e){
		screen.html(e);
	});
	
	
	/*-------------------------------------
		  
	-------------------------------------*/
	
	var start = '';
	




	//       
	//  div .buttonPane:
	
	function togglePane(){
		var visible = $('#camera .buttonPane:visible:first');
		var hidden = $('#camera .buttonPane:hidden:first');
		
		visible.fadeOut('fast',function(){
			hidden.show();
		});
	}
	


});
